/*test append-child attribute X-NODEREF*/
function appendChild returns int (err-num as int):
   def var hDoc as handle.
   def var hDoc2 as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-document hDoc2.
   create x-noderef hChild.
   create x-noderef hTemp.

   hDoc:append-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hRoot.
   hDoc:append-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
               then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").

   hDoc2:append-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hChild,"root1","element").
   hDoc:create-node(hTemp,"root2","element").
   hDoc:append-child(hRoot).

   hDoc:append-child(hTemp) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:append-child(hChild).
   hChild:append-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   if hRoot:num-children <> 1
         then message "Unexpected error append-child: child is not added".

   hDoc:create-node(hChild,"root21","text").
   hDoc:create-node(hTemp,"root2","attribute").
   hRoot:append-child(hChild).
   hChild:append-child(hChild) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error append-child: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

appendChild(-1).