/*test create-node method*/
function nodeCreation returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hNode1 as handle.
   def var res as logical init false.
   def var c as character.

   create x-document hDoc.
   create x-noderef hRoot.

   hNode1 = ?.
   hDoc:create-node(hNode1,"root","element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error name: " error-status:get-number(1) " " error-status:get-message(1).

   hNode1 = session.
   hDoc:create-node(hNode1,"root","element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error name: " error-status:get-number(1) " " error-status:get-message(1).


   res = hDoc:create-node(hRoot,"root","eLEMENT").

   res = false.
   res = hDoc:create-node(hRoot,"root","eLEMEN1T") no-error.

   if error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9171
                     or not error-status:get-number(2) eq 4065 or res
         then message "Unexpected create-node error code2: " error-status:get-number(1) " " error-status:get-message(1).

   res = false.
   c = ?.
   res = hDoc:create-node(hRoot,"root",c).

   if hRoot:subtype <> "element" then "Unexpected create-node error: should be element node created".

   res = false.

   res = hDoc:create-node(hRoot,c,"ELEMENT") no-error.

   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082 or res
         then message "Unexpected create-node error code4: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"<",c) no-error.
   /*An invalid character was specified*/
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082 or res
         then message "Unexpected create-node error code4: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"<","text").

   return 0.
end.

nodeCreation(-1).