/*test create-node-namespace X-NODEREF*/
function createNodeNamespace returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hTemp2 as handle.

   def var i  as int no-undo.

   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hChild.
   create x-noderef hTemp.
   create x-noderef hTemp2.

   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", "element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error create-node-namespace 1: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", ?) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error create-node-namespace 1: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot = session.
   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", "element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error create-node-namespace 1: " error-status:get-number(1) " " error-status:get-message(1).


   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", "element1") no-error.
   if error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9171 or not error-status:get-number(2) eq 4065
         then message "Unexpected create-node-namespace error 2: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", "text") no-error.
   if error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9171 or not error-status:get-number(2) eq 4065
            then message "Unexpected create-node-namespace error 2: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hRoot.

   hDoc:create-node-namespace(hRoot, "aaa", "ttt:el", "text") no-error.
   if error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9171 or not error-status:get-number(2) eq 4065
         then message "Unexpected create-node-namespace error 2: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node-namespace(hRoot, "a", "&:el", "element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
         then message "Unexpected error create-node-namespace 3: " error-status:get-number(1) " " error-status:get-message(1).

   if not hDoc:create-node-namespace(hRoot, ?, "el", "element")
      or not hDoc:create-node-namespace(hRoot, ?, "el", "attribute") then message "Unexpected error create-node-namespace 4".

   hDoc:create-node-namespace(hRoot, "", "dd:aa", "element") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
         then message "Unexpected error create-node-namespace 5: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node-namespace(hRoot, "unique", "dd:aa", "element").

   if hRoot:namespace-prefix <> "dd" then message "Unexpected error create-node-namespace 6".
   return 0.
end.

createNodeNamespace(-1).