/*test get-child attribute X-NODEREF*/
function getChild returns int (err-num as int):
   def var hDoc as handle.
   def var hDoc2 as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   def var i as integer init 1.
   create x-document hDoc.
   create x-document hDoc2.
   create x-noderef hChild.

   create x-noderef hRoot.

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"root1","element").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hRoot:get-child(hTemp, 1) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error get-child: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hTemp.
   i = ?.
   hRoot:get-child(hTemp, i) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error get-child: " error-status:get-number(1) " " error-status:get-message(1).

   hTemp:get-child(hTemp, 1) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
            then message "Unexpected error get-child: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:get-child(hTemp, 10) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
            then message "Unexpected error get-child: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:get-child(hTemp, 1).

   if hChild:name <> hTemp:name
         then message "Unexpected error get-child: nodes are not equals".

   return 0.
end.

getChild(-1).