
/*test name attribute X-NODEREF*/
function nameAttribute returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hAttr as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hChild.
   create x-noderef hTemp.
   create x-noderef hRoot.
   create x-noderef hAttr.

   hDoc:name.

   hRoot:name no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
               then message "Unexpected error name attribute: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"root1","text").
   hDoc:create-node(hTemp,"root2","element").
   hDoc:create-node(hAttr,"attr123","attribute").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).


   if hChild:name <> "#text" or hDoc:name <> "" or hRoot:name <> "root" or hAttr:name <> "attr123"
         then message "error names: " "#text=" hChild:name " hDoc:name =" hDoc:name " hRoot:name(root)=" hRoot:name " hAttr:name=" hAttr:name.

   hDoc:name = "asd" no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4052
               then message "Unexpected error name: " error-status:get-number(1) " " error-status:get-message(1).

   hChild:name = "asd" no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4052
            then message "Unexpected error name: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

nameAttribute(-1).