/*test create-node-namespace X-NODEREF*/
function getNamespacePrefix returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hTemp2 as handle.

   def var i  as int no-undo.

   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hChild.
   create x-noderef hTemp.
   create x-noderef hTemp2.

   create x-noderef hRoot.

   hRoot:namespace-prefix = "asd" no-error.
   if not error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9102 or not error-status:get-number(2) eq 3131
         then message "Unexpected namespace-prefix0: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:namespace-prefix no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error namespace-prefix1: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node-namespace(hRoot, "unique", "dd:aa", "element").
   hDoc:create-node(hTemp,"hTemp","element").

   if hRoot:namespace-prefix <> "dd" then message "Unexpected error namespace-prefix2".
   if hTemp:namespace-prefix <> "" then message "Unexpected error namespace-prefix3".

   hRoot:namespace-prefix = "asd".
   if hRoot:namespace-prefix <> "asd" then message "Unexpected error namespace-prefix4".

   hTemp:namespace-prefix = "asd" no-error.

   if not error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9082 or not error-status:get-number(2) eq 3131
         then message "Unexpected namespace-prefix5: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:namespace-prefix = "<#!" no-error.
   if not error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9082 or not error-status:get-number(2) eq 3131
            then message "Unexpected namespace-prefix6: " error-status:get-number(1) " " error-status:get-message(1).

   hTemp:namespace-prefix = "<#!" no-error.
   if not error-status:error or error-status:num-messages <> 2 or not error-status:get-number(1) eq 9082 or not error-status:get-number(2) eq 3131
      then message "Unexpected namespace-prefix7: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:namespace-prefix no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error namespace-prefix8: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:namespace-prefix = "asd" no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4052
            then message "Unexpected error namespace-prefix9: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

getNamespacePrefix(-1).