/*test normalize attribute X-NODEREF */
function normalize returns int (err-num as int):
   def var hDoc as handle.
   def var nRoot as handle.
   def var hChild as handle.
   def var nText as handle.
   def var nProcInst as handle.
   def var nEntityRef as handle.
   def var nDocFrag as handle.
   def var nComment as handle.
   def var nCdata as handle.
   def var nAttr as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hChild.
   create x-noderef nText.
   create x-noderef nRoot.
   create x-noderef nAttr.
   create x-noderef nProcInst.
   create x-noderef nCdata.
   create x-noderef nComment.
   create x-noderef nDocFrag.
   create x-noderef nEntityRef.
   create x-noderef nProcInst.

   nRoot:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
               then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hChild,"root1","text").
   hDoc:create-node(nText,"root1","text").
   hDoc:create-node(nAttr,"nAttr","ATTRIBUTE").
   hDoc:create-node(nCdata,"nCdata","CDATA-SECTION").
   hDoc:create-node(nComment,"nComment","COMMENT").
   hDoc:create-node(nDocFrag,"nDocFrag","DOCUMENT-FRAGMENT").
   hDoc:create-node(nEntityRef,"nEntityRef","ENTITY-REFERENCE").
   hDoc:create-node(nProcInst,"nProcInst","PROCESSING-INSTRUCTION").
   hChild:node-value = "node1".
   nText:node-value = "node2".
   hChild:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(nRoot,"root1","element").
   hDoc:append-child(nRoot).
   nRoot:append-child(hChild).
   nRoot:append-child(nText).
   nRoot:normalize().
   if nRoot:num-children <> 1 then message "error normalize".
   nRoot:get-child(nText, 1).
   if nText:node-value <> "node1node2" then message "error normalize".

   nProcInst:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nEntityRef:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nDocFrag:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nComment:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nCdata:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nAttr:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).
   nText:normalize() no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error normalize: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

normalize(-1).