/*test getAttributeNames attribute X-NODEREF*/
function getAttributeNames returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hText as handle.
   def var res as logical init false.
   def var l as logical.
   def var c as character.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hText.

   hRoot:attribute-names no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
                  then message "Unexpected error getAttributeNames: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hText, ?,"text").
   hDoc:append-child(hRoot).
   hRoot:set-attribute("atr1","data1").
   hRoot:set-attribute("atr2","data2").

   if not hRoot:attribute-names eq "atr1 atr2" then "Unexpected error: attribute-names".

   hRoot:attribute-names = "Asd" no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4052
                  then message "Unexpected error getAttributeNames: " error-status:get-number(1) " " error-status:get-message(1).

   if not hText:attribute-names eq "" then "Unexpected error: attribute-names".

   return 0.
end.

getAttributeNames(-1).