/*test deleteNode attribute X-NODEREF*/
function deleteNode returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var res as logical init false.
   def var l as logical.
   def var c as character.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hChild.

   l = hRoot:delete-node no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102 and l
                     then message "Unexpected error delete-node: " error-status:get-number(1) " " error-status:get-message(1).


   hDoc:create-node(hRoot,"root","element").
   hDoc:append-child(hRoot).
   if not hRoot:delete-node then "Unexpected error: delete-node".

   l = hRoot:delete-node no-error.  /*node has been already deleted*/

   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102 and l
                  then message "Unexpected error delete-node: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"child","element").
   hRoot:append-child(hChild).
   hChild:delete-node.

   if hRoot:num-children <> 0 then message "Unexpected error num-children".

   return 0.
end.

deleteNode(-1).