
/*test get-attribute-node attribute X-NODEREF*/
function getAttributeNode returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hAttr as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hRoot.


   create x-noderef hTemp.

   hRoot:get-attribute-node(hAttr, "ttt") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hAttr.

   hRoot:get-attribute-node(hDoc, "ttt") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:get-attribute-node(hAttr, "ttt") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").

   hRoot:get-attribute-node(hChild, "ttt") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hChild.
   hDoc:create-node(hChild,"","text").
   hDoc:create-node(hAttr,"ttt","attribute").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hRoot:set-attribute-node(hAttr).
   c = ?.
   hRoot:get-attribute-node(hTemp, c) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hChild:get-attribute-node(hTemp, "ttt") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hTemp = session.
   hRoot:get-attribute-node(hTemp, c) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error get-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hTemp.

   hRoot:get-attribute-node(hTemp, "ttt").
   if error-status:error then message "Unexpected error get-attribute-node".

   if hAttr:name <> hTemp:name then message "Unexpected error get-attribute-node".

   return 0.
end.

getAttributeNode(-1).