/*test insert-before attribute X-NODEREF*/
function insertBefore returns int (err-num as int):
   def var hDoc as handle.
   def var hDoc2 as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hTemp2 as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-document hDoc2.
   create x-noderef hChild.
   create x-noderef hTemp.


   hDoc:insert-before(hRoot, hChild) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
              then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:insert-before(hChild, hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
              then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hRoot.
   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"root1","element").
   hDoc:create-node(hTemp,"temp","element").
   hDoc:append-child(hRoot).
   hRoot:insert-before(hChild, hTemp2).
   if hRoot:num-children <> 1 then message "Unexpected error insert-before".
   hRoot:remove-child(hChild).
   create x-noderef hTemp2.

   hRoot:insert-before(hChild, hTemp2) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
              then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:insert-before(hChild, hChild) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
              then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:append-child(hTemp).
   hDoc:create-node(hTemp2,"temp","element").
   hTemp:append-child(hTemp2).

   hRoot:insert-before(hChild, hTemp2) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
              then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).
   hDoc2:create-node(hTemp2,"temp","element").
   hRoot:insert-before(hTemp2, hTemp) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                 then message "Unexpected error insert-before: " error-status:get-number(1) " " error-status:get-message(1).
   return 0.
end.

insertBefore(-1).